<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 5</h1>
    <a>Ejercicio 6</a>

    <script>

        const contarBits = (num) => {
            let cont = 0;

            while (num != 0) {
                cont++;
                num &= (num - 1);
            }
            return cont;
        }

        const voltearEntero = (a, b) => {
            return contarBits (a ^ b);
        }


        let a = 10,
            b = 20;
        console.log(`${voltearEntero(a, b)}`);
    
        
    </script>
    
</body>
</html>